DROP TABLE IF EXISTS AbholAdr;
CREATE TABLE AbholAdr (
	VScheinNr char (20) NOT	NULL ,
	AdressArt bit NOT NULL ,
	Name char (50) NULL ,
	Ansprech char (30) NULL	,
	Adresse	char (60) NULL ,
	Land char (3) NULL ,
	PLZ char (8) NULL ,
	Ort char (50) NULL ,
	DatumAv	datetime NULL ,
	ZeitVon	int NULL ,
	ZeitBis	int NULL ,
	OPCStation int NULL ,
	Bemerkung char (50) NULL ,
	SubModId int NULL ,
	KdModId	int NULL ,
	ReplId int NULL	,
	AbholAnweisung char (40) NULL ,
	AbholTel char (20) NULL	,
	Username char (20) NULL	,
	UserTime datetime NULL ,
	AbholKurier int	NULL ,
	TxAbholStation char (20) NULL,
	Name3 VARCHAR(50) NULL,
	HausNr VARCHAR(12) NULL
);

CREATE	 UNIQUE	 INDEX VScheinNrIdx ON AbholAdr(VScheinNr);

GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	AbholAdr  TO PFUser;



DROP TABLE IF EXISTS Auslief;
CREATE TABLE Auslief (
	Nr int NOT NULL	,
	AuftrNr	char (20) NULL ,
	FaName char (30) NULL ,
	FaAnsprech char	(30) NULL ,
	FaLand char (3)	NULL ,
	FaPlz char (8) NULL ,
	FaOrt char (30)	NULL ,
	FaAdr char (30)	NULL ,
	FahrerNr int NULL ,
	FahrerReiheNr int NULL ,
	Erledigt bit NOT NULL ,
	Flag int NULL ,
	Art1 int NULL ,
	Art2 int NULL ,
	AuftrDat datetime NULL ,
	AuftrStationVon	int NULL ,
	AuftrStationNach int NULL ,
	AuftrSonderLstg	int NULL ,
	AuftrNNPreis decimal(10, 2) NULL ,
	AuftrWWPreis decimal(10, 2) NULL ,
	AuftrZone int NULL ,
	AuftrLieferDat datetime	NULL ,
	AuftrLieferZeit	int NULL ,
	AuftrBemerkung char (50) NULL ,
	PaketNr	int NULL ,
	PaketAnzahl int	NULL ,
	AuftrStatus1 int NULL ,
	AuftrStatus2 int NULL ,
	PaketGewicht decimal(10, 2) NULL ,
	EName char (50)	NULL ,
	EZeit char (10)	NULL ,
	EDatum datetime	NULL ,
	SubModId int NULL ,
	KdModId	int NULL ,
	SendArtNr int NULL ,
	NNZahlArt int NULL ,
	AuftrStation int NULL ,
	Tour int NULL ,
	Waehrung int NULL ,
	FaTel char (20)	NULL ,
	ReplId int NULL	,
	StationsNr int NULL ,
	OPCZone	int NULL ,
	OPCWartezeit int NULL ,
	OPCSonderleistung int NULL ,
	OPCEndpreis decimal(10,	2) NULL	,
	OPCEndpreisManuell int NULL DEFAULT 0,
	ScanExtraKosten	int NULL ,
	LaengeCM int NULL ,
	BreiteCM int NULL ,
	HoeheCM	int NULL,
	AustauschVsNr CHAR(20) NULL,
	RefAuftragNr VARCHAR(25) NULL,
	AuftragStatus INTEGER NULL,
	RefPaketNr VARCHAR(25) NULL,
	AbholName VARCHAR(50) NULL,
	AbholAnsprech VARCHAR(30) NULL,
	AbholName3 VARCHAR(50) NULL,
	AbholStrasse VARCHAR(60) NULL,
	AbholHausNr VARCHAR(12)	NULL,
	AbholLand CHAR(3) NULL,
	AbholPLZ CHAR(8) NULL,
	AbholOrt CHAR(50) NULL,
	AbholZone INTEGER NULL,
	AbholDatum DATETIME NULL,
	AbholZeitVon INTEGER NULL,
	AbholZeitBis INTEGER NULL,
	LieferName3 VARCHAR(50)	NULL,
	LieferHausNr VARCHAR(12) NULL,
	LieferZeitVon INTEGER NULL,
	VersionsInfo VARCHAR(20) NULL,
	Bemerkung VARCHAR(30) NULL
);

CREATE	INDEX FahrerReiheNrIdx ON Auslief(FahrerReiheNr);
CREATE	UNIQUE	INDEX NrIdx ON Auslief(Nr);
GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	Auslief	 TO PFUser;


DROP TABLE IF EXISTS BLZ;
CREATE TABLE Blz (
	BLZ int	NOT NULL ,
	Bank char (30) NULL ,
	SubModId int NULL ,
	KdModId	int NULL ,
	ReplId int NULL
);
CREATE	UNIQUE	INDEX BLZIdx ON	Blz(BLZ);
GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	Blz  TO	PFUser;

DROP TABLE IF EXISTS Deleted;
CREATE TABLE Deleted (
	TabName	char (20) NOT NULL ,
	SQLText	char (255) NOT NULL ,
	ReplId int NOT NULL ,
	SubModId int NOT NULL ,
	KdModId	int NULL
);

GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	Deleted	 TO PFUser;


DROP TABLE IF EXISTS EmpFa;
CREATE TABLE EmpFa (
	EmpId int NULL ,
	FaNr int NULL ,
	SubModId int NULL ,
	KdModId	int NULL ,
	ReplId int NULL
);
CREATE	INDEX FaNrIdx ON EmpFa(FaNr);
GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	EmpFa  TO PFUser;


DROP TABLE IF EXISTS Empfaenger;
CREATE TABLE Empfaenger	(
	EmpfId int NOT NULL ,
	Name1 char (50)	NULL ,
	Name2 char (50)	NULL ,
	Ansprech char (30) NULL	,
	Adresse	char (60) NULL ,
	Land char (5) NULL ,
	PLZ char (10) NULL ,
	Ort char (50) NULL ,
	Tel char (20) NULL ,
	Fax char (20) NULL ,
	EMail char (50)	NULL ,
	Branche	int NULL ,
	Status int NULL	,
	DebKonto int NULL ,
	KontoNr	char (12) NULL ,
	BLZ int	NULL ,
	Erstellt datetime NULL ,
	LastLief datetime NULL ,
	LastRech datetime NULL ,
	ReplId int NULL	,
	SubModId int NULL ,
	KdModId	int NULL
);

CREATE	UNIQUE	INDEX EmpfIdIdx	ON Empfaenger(EmpfId);

GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	Empfaenger  TO PFUser;


DROP TABLE IF EXISTS Firmen;
CREATE TABLE Firmen	(
	FaNr int NOT NULL ,
	FaName char (50) NULL ,
	FaName2	char (50) NULL ,
	BrancheNr int NULL ,
	ZahlArt	int NULL ,
	RechArtNr int NULL ,
	FaAdrStrasse char (60) NULL ,
	FaAdrLand char (3) NULL	,
	FaAdrPlz char (8) NULL ,
	FaTelefon char (20) NULL ,
	FaFax char (20)	NULL ,
	FaAdrOrt char (50) NULL	,
	FaAdrRech int NULL ,
	FaAbhol1 int NULL ,
	FaAbhol2 int NULL ,
	KontoNr	int NULL ,
	SteuerKtoNr int	NULL ,
	ErfasstDat datetime NULL ,
	Bemerkung text NULL ,
	Aquisiteur int NULL ,
	Prov_Bis datetime NULL ,
	Prov_Proz decimal(10, 2) NULL ,
	Rating char (5)	NULL ,
	Waehrung int NULL ,
	Letzter	datetime NULL ,
	Status int NULL	,
	ReplId int NULL	,
	Porto1 int NULL	,
	Porto2 int NULL	,
	SubModId int NULL ,
	KdModId	int NULL ,
	Benzin int NULL	,
	EMail char (50)	NULL ,
	RabattUser char	(40) NULL ,
	RabattZeit datetime NULL ,
	BLZ int	NULL ,
	BankKonto char (20) NULL ,
	StationsNr int NULL
);

 CREATE	 INDEX FaNameIdx ON Firmen(FaName);
 CREATE	 UNIQUE	 INDEX FaNrIdx ON Firmen(FaNr);
GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	Firmen	TO PFUser;

DROP TABLE IF EXISTS Gefahren;
CREATE TABLE Gefahren (
	GefId int NULL ,
	UNNr int NULL ,
	StoffBez char (80) NULL	,
	Klasse char (50) NULL ,
	Ziffer char (50) NULL ,
	Buchstabe char (50) NULL ,
	VerpCode char (50) NULL	,
	IVerpMax1 char (50) NULL ,
	AVerpMax1 char (50) NULL ,
	IVerpMax2 char (50) NULL ,
	AVerpMax2 char (50) NULL ,
	VerpInfo char (50) NULL	,
	Kennung	char (50) NULL ,
	BefKat int NULL	,
	Grenze int NULL	,
	Einheit	char (50) NULL ,
	Faktor int NULL	,
	Kennzeichnung char (50)	NULL ,
	Bestimmung char	(50) NULL ,
	Sonstiges char (50) NULL ,
	Gefahren char (50) NULL	,
	SubModId int NULL ,
	KdModId	int NULL ,
	ReplId int NULL
);

GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	Gefahren  TO PFUser;

DROP TABLE IF EXISTS Konten;
CREATE TABLE Konten (
	KtoNr int NOT NULL ,
	KtoNummer char (12) NULL ,
	KtoBlz int NULL	,
	KtoBank	char (35) NULL ,
	ReplId int NULL	,
	SubModId int NULL ,
	KdModId	int NULL
);
CREATE	UNIQUE	INDEX KtoNrIdx ON Konten(KtoNr);
GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	Konten	TO PFUser;

DROP TABLE IF EXISTS Kuriere;
CREATE TABLE Kuriere (
	KuNr int NOT NULL ,
	Kuerzel	char (10) NULL ,
	Name char (50) NULL ,
	Name2 char (50)	NULL ,
	Adr char (50) NULL ,
	Land char (3) NULL ,
	PLZ char (10) NULL ,
	Ort char (50) NULL ,
	Tel char (20) NULL ,
	Fax char (20) NULL ,
	Mail char (50) NULL ,
	ReplId int NULL	,
	SubModId int NULL
);

CREATE	UNIQUE	INDEX KurierIdx	ON Kuriere(KuNr);


GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	Kuriere	 TO PFUser;



DROP TABLE IF EXISTS Landkenn;
CREATE TABLE LandKenn (
	LandKuerz char (3) NOT NULL ,
	Land char (35) NULL ,
	SubModId int NULL ,
	KdModId	int NULL ,
	ReplId int NULL	,
	Waren decimal(10, 2) NULL ,
	VolGewFaktor decimal(10, 2) NULL ,
	PLZTab char (10) NULL ,
	VersandDoks int	NULL
);

 CREATE	 UNIQUE	 INDEX LandIdx ON LandKenn(Land);


 CREATE	 INDEX LandKuerzIdx ON LandKenn(LandKuerz);


GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	LandKenn  TO PFUser;



DROP TABLE IF EXISTS Liefern;
CREATE TABLE Liefern (
	Nr int NULL ,
	AuftrNr	char (20) NULL ,
	FaName char (30) NULL ,
	FaAnsprech char	(30) NULL ,
	FaLand char (3)	NULL ,
	FaPlz char (8) NULL ,
	FaOrt char (30)	NULL ,
	FaAdr char (30)	NULL ,
	FahrerNr int NULL ,
	FahrerReiheNr int NULL ,
	Erledigt bit NOT NULL ,
	Flag int NULL ,
	Art1 int NULL ,
	Art2 int NULL ,
	AuftrDat datetime NULL ,
	AuftrStationVon	int NULL ,
	AuftrStationNach int NULL ,
	AuftrSonderLstg	int NULL ,
	AuftrNNPreis decimal(10, 2) NULL ,
	AuftrWWPreis decimal(10, 2) NULL ,
	AuftrZone int NULL ,
	AuftrLieferDat datetime	NULL ,
	AuftrLieferZeit	int NULL ,
	AuftrBemerkung char (50) NULL ,
	PaketNr	int NULL ,
	PaketAnzahl int	NULL ,
	AuftrStatus1 int NULL ,
	AuftrStatus2 int NULL ,
	PaketGewicht decimal(10, 2) NULL ,
	EName char (50)	NULL ,
	EZeit char (10)	NULL ,
	EDatum datetime	NULL ,
	SubModId int NULL ,
	KdModId	int NULL ,
	SendArtNr int NULL ,
	NNZahlArt int NULL ,
	AuftrStation int NULL ,
	Tour int NULL ,
	Waehrung int NULL ,
	FaTel char (20)	NULL ,
	ReplId int NULL	,
	StationsNr int NULL ,
	OPCZone	int NULL ,
	OPCWartezeit int NULL ,
	OPCSonderleistung int NULL ,
	OPCEndpreis decimal(10,	2) NULL	,
	OPCEndpreisManuell int NULL DEFAULT 0,
	ScanExtraKosten	int NULL ,
	LaengeCM int NULL ,
	BreiteCM int NULL ,
	HoeheCM	int NULL,
	AustauschVsNr CHAR(20) NULL,
	RefAuftragNr VARCHAR(25) NULL,
	AuftragStatus INTEGER NULL,
	RefPaketNr VARCHAR(25) NULL,
	AbholName VARCHAR(50) NULL,
	AbholAnsprech VARCHAR(30) NULL,
	AbholName3 VARCHAR(50) NULL,
	AbholStrasse VARCHAR(60) NULL,
	AbholHausNr VARCHAR(12)	NULL,
	AbholLand CHAR(3) NULL,
	AbholPLZ CHAR(8) NULL,
	AbholOrt CHAR(50) NULL,
	AbholZone INTEGER NULL,
	AbholDatum DATETIME NULL,
	AbholZeitVon INTEGER NULL,
	AbholZeitBis INTEGER NULL,
	LieferName3 VARCHAR(50)	NULL,
	LieferHausNr VARCHAR(12) NULL,
	LieferZeitVon INTEGER NULL,
	VersionsInfo VARCHAR(20) NULL,
	Bemerkung VARCHAR(30) NULL
);

 CREATE	 INDEX AuftrNrIdx ON Liefern(FaLand, FaPlz,	FaAdr, AuftrNr,	PaketNr, AuftrLieferDat, AuftrLieferZeit);


 CREATE	 INDEX FahrerReiheNrIdx	ON Liefern(FahrerReiheNr);


 CREATE	 UNIQUE	 INDEX NrIdx ON	Liefern(Nr);

GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	Liefern	 TO PFUser;



DROP TABLE IF EXISTS MAStell;
CREATE TABLE MAStell (
	MaStellung int NOT NULL	,
	MaStellungText char (20) NULL ,
	ReplId int NULL	,
	SubModId int NULL ,
	KdModId	int NULL ,
	StationsNr int NULL ,
	Username char (20) NULL	,
	UserTime datetime NULL
);


 CREATE	 UNIQUE	 INDEX MaStellungIdx ON	MAStell(MaStellung);


GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	MAStell	 TO PFUser;



DROP TABLE IF EXISTS MitArbei;
CREATE TABLE MitArbei (
	MaNr int NOT NULL ,
	MaName char (40) NULL ,
	MaAnmeld char (8) NULL ,
	MaPasswort char	(10) NULL ,
	MaAdresse char (60) NULL ,
	MaLand char (3)	NULL ,
	MaPlz char (8) NULL ,
	MaOrt char (50)	NULL ,
	MaTel1 char (20) NULL ,
	MaTel2 char (20) NULL ,
	MaKtoNr	int NULL ,
	MaStatus int NULL ,
	MaStellung int NULL ,
	MaSozialVNr char (20) NULL ,
	MaKrankenK char	(30) NULL ,
	MaKrankenKNr char (20) NULL ,
	ReplId int NULL	,
	SubModId int NULL ,
	KdModId	int NULL ,
	BLZ int	NULL ,
	BankKonto char (20) NULL ,
	StationsNr int NULL ,
	Username char (20) NULL	,
	UserTime datetime NULL
);

 CREATE	 INDEX MaAnmeldIdx ON MitArbei(MaAnmeld);


 CREATE	 INDEX MaNameIdx ON MitArbei(MaName);


 CREATE	 UNIQUE	 INDEX MaNrIdx ON MitArbei(MaNr);


GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	MitArbei  TO PFUser;

DROP TABLE IF EXISTS PaketInfo;
CREATE TABLE PaketInfo (
	AuftrNr	char (20) NOT NULL ,
	PaketNr	int NOT	NULL ,
	LaengeCM int NULL ,
	BreiteCM int NULL ,
	HoeheCM	int NULL ,
	LaengeIst int NULL ,
	BreiteIst int NULL ,
	HoeheIst int NULL ,
	ReplId int NULL	,
	SubModId int NULL,
	Gewicht	DECIMAL(10, 2) NULL,
	RefPaketNr VARCHAR(25) NULL
);

 CREATE	 UNIQUE	 INDEX AuftrPaketIdx ON	PaketInfo(AuftrNr, PaketNr);

GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	PaketInfo  TO PFUser;





DROP TABLE IF EXISTS PlzStat;
CREATE TABLE PlzStat (
	PLZ decimal(10,	2) NOT NULL ,
	Land char (3) NULL ,
	Ort char (50) NULL ,
	Station	int NOT	NULL ,
	Zone int NOT NULL ,
	Laufzeit int NULL ,
	LaufzeitMax int	NULL ,
	Bemerkung char (30) NULL ,
	Tour int NULL ,
	ReplId int NULL	,
	SubModId int NULL ,
	KdModId	int NULL ,
	AbholZeitMin1 datetime NULL ,
	AbholZeitMax1 datetime NULL ,
	AbholZeitMin2 datetime NULL ,
	AbholZeitMax2 datetime NULL ,
	KostenFrueh decimal(10,	2) NULL	,
	LiefernAb datetime NULL	,
	OPCZone	int NULL ,
	MaxAnfahrtZeit int NULL	,
	SoKoEinzelAbhol	decimal(10, 2) NULL ,
	SoKoOPCIntern decimal(10, 2) NULL ,
	SoKoOPCAbhol decimal(10, 2) NULL ,
	Kuriere	int NULL
);

 CREATE	 INDEX LandOrtIdx ON PlzStat(Land, Ort);


 CREATE	 INDEX OrtIdx ON PlzStat(Ort);


 CREATE	 INDEX PlzLandIdx ON PlzStat(PLZ, Land);


 CREATE	 UNIQUE	 INDEX PlzLandOrtIdx ON	PlzStat(PLZ, Land, Ort);


GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	PlzStat	 TO PFUser;



DROP TABLE IF EXISTS PlzStatA;
CREATE TABLE PlzStatA (
	PLZ char (7) NOT NULL ,
	Land char (3) NOT NULL ,
	Ort char (50) NULL ,
	Station	int NULL ,
	Zone int NULL ,
	Laufzeit int NULL ,
	LaufzeitMax int	NULL ,
	Bemerkung char (30) NULL ,
	Tour int NULL ,
	ReplId int NULL	,
	MwStArt	int NULL ,
	SubModId int NULL ,
	KdModId	int NULL ,
	AbholZeitMin1 datetime NULL ,
	AbholZeitMax1 datetime NULL ,
	AbholZeitMin2 datetime NULL ,
	AbholZeitMax2 datetime NULL ,
	KostenFrueh decimal(10,	2) NULL	,
	LiefernAb datetime NULL	,
	OPCZone	int NULL ,
	MaxAnfahrtZeit int NULL	,
	SoKoEinzelAbhol	decimal(10, 2) NULL ,
	SoKoOPCIntern decimal(10, 2) NULL ,
	SoKoOPCAbhol decimal(10, 2) NULL ,
	Kuriere	int NULL
);


 CREATE	 INDEX LandOrtIdx ON PlzStatA(Land,	Ort);


 CREATE	 INDEX OrtIdx ON PlzStatA(Ort);


 CREATE	 INDEX PlzLandIdx ON PlzStatA(PLZ, Land);


 CREATE	 UNIQUE	 INDEX PlzLandOrtIdx ON	PlzStatA(PLZ, Land,	Ort);


GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	PlzStatA  TO PFUser;



DROP TABLE IF EXISTS PreisTab;
CREATE TABLE PreisTab (
	KurierId int NOT NULL ,
	Land char (3) NOT NULL ,
	Produkt	int NOT	NULL ,
	Zone char (1) NOT NULL ,
	VonKg decimal(6, 2) NOT	NULL ,
	BisKg decimal(6, 2) NOT	NULL ,
	PreisKg	decimal(10, 2) NULL ,
	Pauschale decimal(10, 2) NULL ,
	Linie char (15)	NULL ,
	Clearing char (15) NULL	,
	Ausliefern char	(15) NULL ,
	Samstag	decimal(10, 2) NULL ,
	Sonntag	decimal(10, 2) NULL ,
	Feiertag decimal(10, 2)	NULL ,
	Termin1	int NULL ,
	Terminpreis1 decimal(10, 2) NULL ,
	Termin2	int NULL ,
	TerminPreis2 decimal(10, 2) NULL ,
	ReplId int NOT NULL ,
	SubModId int NOT NULL
);


 CREATE	 UNIQUE	 INDEX KuLandProdZoneKgIdx ON PreisTab(KurierId, Land, Produkt,	Zone, VonKg, BisKg);


GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	PreisTab  TO PFUser;



DROP TABLE IF EXISTS Preise;
CREATE TABLE Preise	(
	Land char (3) NULL ,
	Z1 decimal(10, 2) NULL ,
	Z2 decimal(10, 2) NULL ,
	Z3 decimal(10, 2) NULL ,
	Z4 decimal(10, 2) NULL ,
	Z5 decimal(10, 2) NULL ,
	Z6 decimal(10, 2) NULL ,
	Z7 decimal(10, 2) NULL ,
	Z8 decimal(10, 2) NULL ,
	ZS1 decimal(10,	2) NULL	,
	ZS2 decimal(10,	2) NULL	,
	ZS3 decimal(10,	2) NULL	,
	ZS4 decimal(10,	2) NULL	,
	ZS5 decimal(10,	2) NULL	,
	ZS6 decimal(10,	2) NULL	,
	ZS7 decimal(10,	2) NULL	,
	ZS8 decimal(10,	2) NULL	,
	G1 decimal(10, 2) NULL ,
	G1kg decimal(10, 2) NULL ,
	G2 decimal(10, 2) NULL ,
	G2kg decimal(10, 2) NULL ,
	G3 decimal(10, 2) NULL ,
	G3kg decimal(10, 2) NULL ,
	G4 decimal(10, 2) NULL ,
	G4kg decimal(10, 2) NULL ,
	G5 decimal(10, 2) NULL ,
	G5kg decimal(10, 2) NULL ,
	G6 decimal(10, 2) NULL ,
	G6kg decimal(10, 2) NULL ,
	G7 decimal(10, 2) NULL ,
	G7kg decimal(10, 2) NULL ,
	G8 decimal(10, 2) NULL ,
	G8kg decimal(10, 2) NULL ,
	G9 decimal(10, 2) NULL ,
	G9kg decimal(10, 2) NULL ,
	G10 decimal(10,	2) NULL	,
	G10kg decimal(10, 2) NULL ,
	G11 decimal(10,	2) NULL	,
	G11kg decimal(10, 2) NULL ,
	G12 decimal(10,	2) NULL	,
	G12kg decimal(10, 2) NULL ,
	G13 decimal(10,	2) NULL	,
	G13kg decimal(10, 2) NULL ,
	G14 decimal(10,	2) NULL	,
	G14kg decimal(10, 2) NULL ,
	G15 decimal(10,	2) NULL	,
	G15kg decimal(10, 2) NULL ,
	G16 decimal(10,	2) NULL	,
	G16kg decimal(10, 2) NULL ,
	T1 decimal(10, 2) NULL ,
	T2 decimal(10, 2) NULL ,
	T3 decimal(10, 2) NULL ,
	T4 decimal(10, 2) NULL ,
	T5 decimal(10, 2) NULL ,
	T6 decimal(10, 2) NULL ,
	T7 decimal(10, 2) NULL ,
	T8 decimal(10, 2) NULL ,
	S1 decimal(10, 2) NULL ,
	S2 decimal(10, 2) NULL ,
	S3 decimal(10, 2) NULL ,
	S4 decimal(10, 2) NULL ,
	S5 decimal(10, 2) NULL ,
	S6 decimal(10, 2) NULL ,
	S7 decimal(10, 2) NULL ,
	S8 decimal(10, 2) NULL ,
	S9 decimal(10, 2) NULL ,
	S10 decimal(10,	2) NULL	,
	S11 decimal(10,	2) NULL	,
	S12 decimal(10,	2) NULL	,
	S13 decimal(10,	2) NULL	,
	S14 decimal(10,	2) NULL	,
	S15 decimal(10,	2) NULL	,
	S16 decimal(10,	2) NULL	,
	S17 decimal(10,	2) NULL	,
	S18 decimal(10,	2) NULL	,
	S19 decimal(10,	2) NULL	,
	S20 decimal(10,	2) NULL	,
	S21 decimal(10,	2) NULL	,
	S22 decimal(10,	2) NULL	,
	S23 decimal(10,	2) NULL	,
	S24 decimal(10,	2) NULL	,
	S25 decimal(10,	2) NULL	,
	S26 decimal(10,	2) NULL	,
	S27 decimal(10,	2) NULL	,
	S28 decimal(10,	2) NULL	,
	S29 decimal(10,	2) NULL	,
	S30 decimal(10,	2) NULL	,
	S31 decimal(10,	2) NULL	,
	S32 decimal(10,	2) NULL	,
	S10Bez char (20) NULL ,
	S11Bez char (20) NULL ,
	S12Bez char (20) NULL ,
	S13Bez char (20) NULL ,
	S14Bez char (20) NULL ,
	S15Bez char (20) NULL ,
	Pr1 decimal(10,	2) NULL	,
	Pr2 decimal(10,	2) NULL	,
	Pr3 decimal(10,	2) NULL	,
	Pr4 decimal(10,	2) NULL	,
	Pr5 decimal(10,	2) NULL	,
	ReplId int NULL	,
	SubModId int NULL ,
	KdModId	int NULL ,
	CityLetter decimal(10, 2) NULL ,
	StationsNr int NULL ,
	Username char (20) NULL	,
	UserTime datetime NULL ,
	GLNameZ1 char (20) NULL	,
	GLNameZX char (20) NULL	,
	GLTerminZ1 int NULL ,
	GLTerminZX int NULL ,
	GLAnzahlZ1 int NULL ,
	GLAnzahlZX int NULL ,
	GLGewichtZ1 decimal(10,	2) NULL	,
	GLGewichtZX decimal(10,	2) NULL	,
	GLPreisZ1 decimal(10, 2) NULL ,
	GLPreisZX decimal(10, 2) NULL
);


 CREATE	 UNIQUE	 INDEX LandIdx ON Preise(Land);


GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	Preise	TO PFUser;



DROP TABLE IF EXISTS Produkte;
CREATE TABLE Produkte (
	KurierId int NOT NULL ,
	ProduktId int NOT NULL ,
	Zonen char (10)	NOT NULL ,
	ProduktName char (30) NOT NULL ,
	MaxAnzahl int NOT NULL ,
	MaxGewicht decimal(10, 2) NOT NULL ,
	MaxTermin int NULL ,
	TerminVorgabe int NULL ,
	SonderTage int NULL ,
	SonderLstg int NULL ,
	Inland bit NOT NULL ,
	LaengeCM1 int NULL ,
	BreiteCM1 int NULL ,
	HoeheCM1 int NULL ,
	LaengeCM2 int NULL ,
	BreiteCM2 int NULL ,
	HoeheCM2 int NULL ,
	Locks int NULL ,
	ReplId int NOT NULL ,
	SubModId int NOT NULL,
	Preis DECIMAL(10,2) NULL,
	PreisCoLoader DECIMAL(10,2) NULL
);


 CREATE	 UNIQUE	 INDEX KurierProdZonenIdx ON Produkte(KurierId,	ProduktId, Zonen);


GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	Produkte  TO PFUser;



DROP TABLE IF EXISTS Rabatte;
CREATE TABLE Rabatte (
	FaNr int NOT NULL ,
	Land char (3) NULL ,
	Z1 decimal(10, 2) NULL ,
	Z2 decimal(10, 2) NULL ,
	Z3 decimal(10, 2) NULL ,
	Z4 decimal(10, 2) NULL ,
	Z5 decimal(10, 2) NULL ,
	Z6 decimal(10, 2) NULL ,
	Z7 decimal(10, 2) NULL ,
	Z8 decimal(10, 2) NULL ,
	ZS1 decimal(10,	2) NULL	,
	ZS2 decimal(10,	2) NULL	,
	ZS3 decimal(10,	2) NULL	,
	ZS4 decimal(10,	2) NULL	,
	ZS5 decimal(10,	2) NULL	,
	ZS6 decimal(10,	2) NULL	,
	ZS7 decimal(10,	2) NULL	,
	ZS8 decimal(10,	2) NULL	,
	G1 decimal(10, 2) NULL ,
	G1kg decimal(10, 2) NULL ,
	G2 decimal(10, 2) NULL ,
	G2kg decimal(10, 2) NULL ,
	G3 decimal(10, 2) NULL ,
	G3kg decimal(10, 2) NULL ,
	G4 decimal(10, 2) NULL ,
	G4kg decimal(10, 2) NULL ,
	G5 decimal(10, 2) NULL ,
	G5kg decimal(10, 2) NULL ,
	G6 decimal(10, 2) NULL ,
	G6kg decimal(10, 2) NULL ,
	G7 decimal(10, 2) NULL ,
	G7kg decimal(10, 2) NULL ,
	G8 decimal(10, 2) NULL ,
	G8kg decimal(10, 2) NULL ,
	G9 decimal(10, 2) NULL ,
	G9kg decimal(10, 2) NULL ,
	G10 decimal(10,	2) NULL	,
	G10kg decimal(10, 2) NULL ,
	G11 decimal(10,	2) NULL	,
	G11kg decimal(10, 2) NULL ,
	G12 decimal(10,	2) NULL	,
	G12kg decimal(10, 2) NULL ,
	G13 decimal(10,	2) NULL	,
	G13kg decimal(10, 2) NULL ,
	G14 decimal(10,	2) NULL	,
	G14kg decimal(10, 2) NULL ,
	G15 decimal(10,	2) NULL	,
	G15kg decimal(10, 2) NULL ,
	G16 decimal(10,	2) NULL	,
	G16kg decimal(10, 2) NULL ,
	T1 decimal(10, 2) NULL ,
	T2 decimal(10, 2) NULL ,
	T3 decimal(10, 2) NULL ,
	T4 decimal(10, 2) NULL ,
	T5 decimal(10, 2) NULL ,
	T6 decimal(10, 2) NULL ,
	T7 decimal(10, 2) NULL ,
	T8 decimal(10, 2) NULL ,
	S1 decimal(10, 2) NULL ,
	S2 decimal(10, 2) NULL ,
	S3 decimal(10, 2) NULL ,
	S4 decimal(10, 2) NULL ,
	S5 decimal(10, 2) NULL ,
	S6 decimal(10, 2) NULL ,
	S7 decimal(10, 2) NULL ,
	S8 decimal(10, 2) NULL ,
	S9 decimal(10, 2) NULL ,
	S10 decimal(10,	2) NULL	,
	S11 decimal(10,	2) NULL	,
	S12 decimal(10,	2) NULL	,
	S13 decimal(10,	2) NULL	,
	S14 decimal(10,	2) NULL	,
	S15 decimal(10,	2) NULL	,
	S16 decimal(10,	2) NULL	,
	S17 decimal(10,	2) NULL	,
	S18 decimal(10,	2) NULL	,
	S19 decimal(10,	2) NULL	,
	S20 decimal(10,	2) NULL	,
	S21 decimal(10,	2) NULL	,
	S22 decimal(10,	2) NULL	,
	S23 decimal(10,	2) NULL	,
	S24 decimal(10,	2) NULL	,
	S25 decimal(10,	2) NULL	,
	S26 decimal(10,	2) NULL	,
	S27 decimal(10,	2) NULL	,
	S28 decimal(10,	2) NULL	,
	S29 decimal(10,	2) NULL	,
	S30 decimal(10,	2) NULL	,
	S31 decimal(10,	2) NULL	,
	S32 decimal(10,	2) NULL	,
	S10Bez char (20) NULL ,
	S11Bez char (20) NULL ,
	S12Bez char (20) NULL ,
	S13Bez char (20) NULL ,
	S14Bez char (20) NULL ,
	S15Bez char (20) NULL ,
	RabattArt int NULL ,
	W11 decimal(10,	2) NULL	,
	W12 decimal(10,	2) NULL	,
	W21 decimal(10,	2) NULL	,
	W22 decimal(10,	2) NULL	,
	W31 decimal(10,	2) NULL	,
	W32 decimal(10,	2) NULL	,
	W41 decimal(10,	2) NULL	,
	W42 decimal(10,	2) NULL	,
	W51 decimal(10,	2) NULL	,
	W52 decimal(10,	2) NULL	,
	W61 decimal(10,	2) NULL	,
	W62 decimal(10,	2) NULL	,
	W71 decimal(10,	2) NULL	,
	W72 decimal(10,	2) NULL	,
	W81 decimal(10,	2) NULL	,
	W82 decimal(10,	2) NULL	,
	Plz1V char (8) NULL ,
	Plz1B char (8) NULL ,
	Plz1Betrag decimal(10, 2) NULL ,
	Plz2V char (8) NULL ,
	Plz2B char (8) NULL ,
	Plz2Betrag decimal(10, 2) NULL ,
	Plz3V char (8) NULL ,
	Plz3B char (8) NULL ,
	Plz3Betrag decimal(10, 2) NULL ,
	Plz4V char (8) NULL ,
	Plz4B char (8) NULL ,
	Plz4Betrag decimal(10, 2) NULL ,
	Plz5V char (8) NULL ,
	Plz5B char (8) NULL ,
	Plz5Betrag decimal(10, 2) NULL ,
	Plz6V char (8) NULL ,
	Plz6B char (8) NULL ,
	Plz6Betrag decimal(10, 2) NULL ,
	Plz7V char (8) NULL ,
	Plz7B char (8) NULL ,
	Plz7Betrag decimal(10, 2) NULL ,
	Plz8V char (8) NULL ,
	Plz8B char (8) NULL ,
	Plz8Betrag decimal(10, 2) NULL ,
	Plz9V char (8) NULL ,
	Plz9B char (8) NULL ,
	Plz9Betrag decimal(10, 2) NULL ,
	Plz10V char (8)	NULL ,
	Plz10B char (8)	NULL ,
	Plz10Betrag decimal(10,	2) NULL	,
	Plz11V char (8)	NULL ,
	Plz11B char (8)	NULL ,
	Plz11Betrag decimal(10,	2) NULL	,
	Plz12V char (8)	NULL ,
	Plz12B char (8)	NULL ,
	Plz12Betrag decimal(10,	2) NULL	,
	Plz13V char (8)	NULL ,
	Plz13B char (8)	NULL ,
	Plz13Betrag decimal(10,	2) NULL	,
	Plz14V char (8)	NULL ,
	Plz14B char (8)	NULL ,
	Plz14Betrag decimal(10,	2) NULL	,
	Plz15V char (8)	NULL ,
	Plz15B char (8)	NULL ,
	Plz15Betrag decimal(10,	2) NULL	,
	Plz16V char (8)	NULL ,
	Plz16B char (8)	NULL ,
	Plz16Betrag decimal(10,	2) NULL	,
	Pr1 decimal(10,	2) NULL	,
	Pr2 decimal(10,	2) NULL	,
	Pr3 decimal(10,	2) NULL	,
	Pr4 decimal(10,	2) NULL	,
	Pr5 decimal(10,	2) NULL	,
	ReplId int NULL	,
	SubModId int NULL ,
	KdModId	int NULL ,
	StationsNr int NULL ,
	GLNameZ1 char (20) NULL	,
	GLNameZX char (20) NULL	,
	GLTerminZ1 int NULL ,
	GLTerminZX int NULL ,
	GLAnzahlZ1 int NULL ,
	GLAnzahlZX int NULL ,
	GLGewichtZ1 decimal(10,	2) NULL	,
	GLGewichtZX decimal(10,	2) NULL	,
	GLPreisZ1 decimal(10, 2) NULL ,
	GLPreisZX decimal(10, 2) NULL
);


 CREATE	 UNIQUE	 INDEX FaNrIdx ON Rabatte(FaNr);


GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	Rabatte	 TO PFUser;


DROP TABLE IF EXISTS Rahmen;
CREATE TABLE Rahmen (
	SteuerKtoNr int	NOT NULL ,
	KtoBezeichnung char (60) NULL ,
	KtoKurzBez char	(20) NULL ,
	KtoNummer char (20) NULL ,
	ReplId int NULL	,
	SubModId int NULL ,
	KdModId	int NULL
);

CREATE	UNIQUE	INDEX SteuerKtoNrIdx ON	Rahmen(SteuerKtoNr);
GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	Rahmen	TO PFUser;


DROP TABLE IF EXISTS RasDB;
CREATE TABLE RasDB (
	Richtung int NOT NULL ,
	Prozedur int NOT NULL ,
	ZielName char (30) NOT NULL ,
	Beschreibung char (50) NULL ,
	RasEintrag char	(50) NULL ,
	RasBenutzername	char (50) NULL ,
	RasPasswort char (50) NULL ,
	RasDomain char (50) NULL ,
	FtpComputername	char (50) NULL ,
	FtpBenutzername	char (50) NULL ,
	FtpPasswort char (50) NULL ,
	FtpServerPfad char (50)	NULL ,
	ReplId int NULL	,
	SubModId int NULL ,
	StationsNr int NULL ,
	Username char (20) NULL	,
	UserTime datetime NULL
);


 CREATE	 UNIQUE	 INDEX RichtProcNameIdx	ON RasDB(Richtung, Prozedur, ZielName);


GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	RasDB  TO PFUser;



DROP TABLE IF EXISTS ScanBemerkung;
CREATE TABLE ScanBemerkung (
	StationsNr int NOT NULL	,
	ScanDatId int NOT NULL ,
	Bemerkung char (80) NULL ,
	ReplId int NOT NULL ,
	SubModId int NOT NULL ,
	KdModId	int NULL
);


 CREATE	 UNIQUE	 INDEX StatNrScanId ON ScanBemerkung(StationsNr, ScanDatId);


GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	ScanBemerkung  TO PFUser;



DROP TABLE IF EXISTS ScanDat;
CREATE TABLE ScanDat (
	ScanDatId int NOT NULL ,
	AuftrNr	char (20) NULL ,
	Paket_Nr int NULL ,
	ScanArtNr int NULL ,
	Paket_ZustandNr	int NULL ,
	ScanFiliale int	NULL ,
	Scan_MaNr int NULL ,
	Scan_BeNr int NULL ,
	ScanDatumZeit datetime NULL ,
	ScanDatum datetime NULL	,
	ScanReady int NULL ,
	Art1 int NULL ,
	Art2 int NULL ,
	EName char (50)	NULL ,
	Status int NULL	,
	ReplId int NULL	,
	SubModId int NULL ,
	KdModId	int NULL ,
	Status7	int NULL ,
	RetVersNr char (20) NULL ,
	StationsNr int NULL
);


 CREATE	 INDEX AuftrNrIdx ON ScanDat(AuftrNr);


 CREATE	 INDEX AuftrNrScanArtNrIdx ON ScanDat(AuftrNr, ScanArtNr);


 CREATE	 INDEX AuftrNrScanArtNrPNrIdx ON ScanDat(AuftrNr, ScanArtNr, Paket_Nr);


 CREATE	 UNIQUE	 INDEX ScanDatIdIdx ON ScanDat(ScanDatId);


GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	ScanDat	 TO PFUser;



DROP TABLE IF EXISTS Setting;
CREATE TABLE Setting (
	S_Nr int NULL ,
	S_K char (3) NULL ,
	S_Name char (50) NULL ,
	S_Adr char (50)	NULL ,
	S_PLZ char (5) NULL ,
	S_Ort char (50)	NULL ,
	S_Tel char (20)	NULL ,
	Konto char (5) NULL ,
	MwSt decimal(10, 2) NULL ,
	MSAnzahl int NULL ,
	MSInterval int NULL ,
	MS1DM decimal(10, 2) NULL ,
	MSnDM decimal(10, 2) NULL ,
	Datev bit NOT NULL ,
	Abhol datetime NULL ,
	Mahnlauf datetime NULL ,
	Liefern	datetime NULL ,
	MwStKonto char (10) NULL ,
	Dm2Eu decimal(10, 5) NULL ,
	Eu2Dm decimal(10, 5) NULL ,
	Art1 int NULL ,
	Art2 int NULL ,
	PortoKosten decimal(10,	5) NULL	,
	SubModId int NULL ,
	KdModId	int NULL ,
	BenzinKosten decimal(10, 5) NULL ,
	ReplId int NULL	,
	SteuerNr char (20)
);


GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	Setting	 TO PFUser;



DROP TABLE IF EXISTS Station;
CREATE TABLE Station (
	StatNr int NOT NULL ,
	StatName char (25) NULL	,
	StatKennung char (3) NULL ,
	StatStatLeiter char (30) NULL ,
	StatStrasse char (30) NULL ,
	StatLand char (5) NULL ,
	StatPLZ	char (10) NULL ,
	StatOrt	char (30) NULL ,
	StatTelefon char (20) NULL ,
	StatFax	char (20) NULL ,
	StatNotTelefon1	char (20) NULL ,
	StatNotTelefon2	char (20) NULL ,
	StatBemerkung char (30)	NULL ,
	Art1 int NULL ,
	Art2 int NULL ,
	Debitor	int NULL ,
	ReplId int NULL	,
	SubModId int NULL ,
	KdModId	int NULL ,
	Username char (20) NULL	,
	UserTime datetime NULL ,
	DepotStatus INT	NULL ,
	eMail char(50) NULL,
	Linie INTEGER NULL
);

 CREATE	 UNIQUE	 INDEX StatNrIdx ON Station(StatNr);


GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	Station	 TO PFUser;



DROP TABLE IF EXISTS Vorgang;
CREATE TABLE Vorgang (
	AuftrNr	char (20) NOT NULL ,
	RechNr char (12) NULL ,
	FaNr int NULL ,
	FaName char (30) NULL ,
	AuftrDat datetime NULL ,
	RechDat	datetime NULL ,
	RechEmpf bit NOT NULL ,
	MaNr int NULL ,
	MaNr1 int NULL ,
	LiefName char (50) NULL	,
	LiefAnsprech char (30) NULL ,
	LiefAdr	char (60) NULL ,
	LiefLand char (3) NULL ,
	LiefPlz	char (8) NULL ,
	LiefOrt	char (50) NULL ,
	LiefDatAv datetime NULL	,
	LiefZeitBis int	NULL ,
	ZahlEing datetime NULL ,
	SendArtNr int NULL ,
	HandPreis decimal(10, 2) NULL ,
	Sonderleistung int NULL	,
	WarteDM	decimal(10, 2) NULL ,
	Rech_Gedruckt bit NOT NULL ,
	Waehrung int NULL ,
	U_Faktor int NULL ,
	GrundDM	decimal(10, 2) NULL ,
	GewichtDM decimal(10, 2) NULL ,
	TerminDM decimal(10, 2)	NULL ,
	SonderDM decimal(10, 2)	NULL ,
	SpaetDM	decimal(10, 2) NULL ,
	VSummeDM decimal(10, 2)	NULL ,
	RabattDM decimal(10, 2)	NULL ,
	MwSatz decimal(10, 2) NULL ,
	ProjektNr char (20) NULL ,
	Gewicht	decimal(10, 2) NULL ,
	Anzahl int NULL	,
	Einzel bit NOT NULL ,
	EigenesGebiet bit NOT NULL ,
	CLZeit char (10) NULL ,
	Bemerkung char (30) NULL ,
	LiefAnweisung char (40)	NULL ,
	LiefStation int	NULL ,
	SonderZ1 int NULL ,
	SonderZ2 int NULL ,
	Art1 int NULL ,
	Art2 int NULL ,
	WWPreis	decimal(10, 2) NULL ,
	NNPreis	decimal(10, 2) NULL ,
	ReplId int NULL	,
	SubModId int NULL ,
	KdModId	int NULL ,
	LiefTel	char (20) NULL ,
	AuftrStation int NULL ,
	Tour int NULL ,
	NNErhalten int NULL ,
	VolGew decimal(10, 2) NULL ,
	LaengeCM int NULL ,
	BreiteCM int NULL ,
	HoeheCM	int NULL ,
	GefahrDM decimal(10, 2)	NULL ,
	WarenDM	decimal(10, 2) NULL ,
	NNWaehrung char	(5) NULL ,
	NNZahlart int NULL ,
	Username char (20) NULL	,
	UserTime datetime NULL ,
	Storno int NULL	,
	KurierId int NULL ,
	TxLiefStation char (20)	NULL,
	Fixed int NULL,
	HubProduktID int NULL,
	AustauschVsNr CHAR(20) NULL,
	RefAuftragNr VARCHAR(25) NULL,
	AuftragStatus INTEGER NULL,
	LiefName3 VARCHAR(50) NULL,
	LiefHausNr VARCHAR(12) NULL,
	LiefZeitVon INTEGER NULL,
	VersionsInfo VARCHAR(20) NULL
);


 CREATE	 UNIQUE	 INDEX AuftrNrIdx ON Vorgang(AuftrNr);


 CREATE	 INDEX RechNrIdx ON Vorgang(RechNr);

CREATE INDEX AustauschIdx ON Vorgang (AustauschVsNr);


GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	Vorgang	 TO PFUser;


DROP TABLE IF EXISTS VorgDiff;
CREATE TABLE VorgDiff (
	AuftrNr	char (20) NOT NULL ,
	Feldname char (20) NOT NULL ,
	Feldwert char (40) NULL
);

CREATE	UNIQUE	INDEX AuftrNrFeldNameIdx ON VorgDiff(AuftrNr, Feldname);
GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	VorgDiff  TO PFUser;


DROP TABLE IF EXISTS SettingExt;
CREATE TABLE SettingExt	(
	KurierID int NOT NULL ,
	AnzahlFelder int NULL ,
	FeldName01 char	(20) NULL ,
	FeldWert01 char	(50) NULL ,
	FeldName02 char	(20) NULL ,
	FeldWert02 char	(50) NULL ,
	FeldName03 char	(20) NULL ,
	FeldWert03 char	(50) NULL ,
	FeldName04 char	(20) NULL ,
	FeldWert04 char	(50) NULL ,
	FeldName05 char	(20) NULL ,
	FeldWert05 char	(50) NULL ,
	FeldName06 char	(20) NULL ,
	FeldWert06 char	(50) NULL ,
	FeldName07 char	(20) NULL ,
	FeldWert07 char	(50) NULL ,
	FeldName08 char	(20) NULL ,
	FeldWert08 char	(50) NULL ,
	FeldName09 char	(20) NULL ,
	FeldWert09 char	(50) NULL ,
	FeldName10 char	(20) NULL ,
	FeldWert10 char	(50) NULL ,
	FeldName11 char	(20) NULL ,
	FeldWert11 char	(50) NULL ,
	FeldName12 char	(20) NULL ,
	FeldWert12 char	(50) NULL ,
	ReplId int NOT NULL ,
	SubModId int NOT NULL ,
	FeldName13 char	(20) NULL ,
	FeldWert13 char	(50) NULL
);

CREATE	UNIQUE	INDEX KurierIdx	ON SettingExt(KurierID);
GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	SettingExt  TO PFUser;

DROP TABLE IF EXISTS StationExt;
CREATE TABLE StationExt	(
	KurierId int NOT NULL ,
	StatNr char (20) NOT NULL ,
	StatName char (25) NULL	,
	StatKennung char (10) NULL ,
	StatStatLeiter char (30) NULL ,
	StatStrasse char (30) NULL ,
	StatLand char (5) NULL ,
	StatPLZ	char (10) NULL ,
	StatOrt	char (30) NULL ,
	StatTelefon char (20) NULL ,
	StatFax	char (20) NULL ,
	StatNotTelefon1	char (20) NULL ,
	StatNotTelefon2	char (20) NULL ,
	StatBemerkung char (30)	NULL ,
	Art1 int NULL ,
	Art2 int NULL ,
	Debitor	int NULL ,
	ReplId int NULL	,
	SubModId int NULL ,
	KdModId	int NULL ,
	Username char (20) NULL	,
	UserTime datetime NULL
);

CREATE	UNIQUE	INDEX KurierStationIdx ON StationExt(KurierId, StatNr);
GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	StationExt  TO PFUser;

DROP TABLE IF EXISTS Touren;
CREATE TABLE Touren (
	TourNr int NOT NULL ,
	TourName char (50) NULL	,
	Fahrer_1 int NULL ,
	Fahrer_2 int NULL ,
	Fahrer_3 int NULL ,
	Fahrer_4 int NULL ,
	Fahrer_5 int NULL ,
	Fahrer_6 int NULL ,
	Fahrer_7 int NULL ,
	Bemerkung char (50) NULL ,
	ReplId int NULL	,
	SubModId int NULL ,
	KdModId	int NULL
);
CREATE	UNIQUE	INDEX TourIdx ON Touren(TourNr);
GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	Touren	TO PFUser;

DROP TABLE IF EXISTS Versands;
CREATE TABLE VersandS (
	Nr int NOT NULL	,
	FaNr int NULL ,
	AuftrNr_von int	NULL ,
	AuftrNr_bis int	NULL ,
	Gedruckt bit NOT NULL ,
	Erhalten datetime NULL ,
	SubModId int NULL ,
	KdModId	int NULL ,
	LiefName char (50) NULL	,
	LiefAnsprech char (30) NULL ,
	LiefAdr	char (60) NULL ,
	LiefLand char (3) NULL ,
	LiefPLZ	char (8) NULL ,
	LiefOrt	char (50) NULL ,
	ProjektNr char (20) NULL ,
	Bemerkung char (30) NULL ,
	LiefName2 char (50) NULL ,
	LiefTel	char (20) NULL ,
	ReplId int NULL,
	LiefAnweisung VARCHAR(40) NULL
);

CREATE	UNIQUE	INDEX NrIdx ON VersandS(Nr);
GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	VersandS  TO PFUser;


DROP TABLE IF EXISTS Scripte;
CREATE TABLE Scripte (
	ScriptNr int NOT NULL ,
	Datum datetime NULL
);
CREATE	UNIQUE	INDEX ScriptIdx	ON Scripte(ScriptNr);
GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	Scripte	 TO PFUser;

DROP TABLE IF EXISTS Updates;
CREATE TABLE Updates (
	DateiName char(30) NOT NULL ,
	ErstellDat datetime NOT	NULL
);
CREATE	UNIQUE	INDEX DateiNameIdx ON Updates(DateiName);
GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	Updates	 TO PFUser;


DROP TABLE IF EXISTS Retouren;
CREATE TABLE Retouren (
	ScanArtNr int NOT NULL ,
	AuftrNr	char (20) NOT NULL ,
	Paket_Nr int NOT NULL ,
	Paket_ZustandNr	int NULL ,
	ScanFiliale int	NOT NULL ,
	Scan_MaNr int NULL ,
	Scan_BeNr int NULL ,
	ScanDatumZeit datetime NULL ,
	ScanReady int NULL ,
	Art1 int NULL ,
	Art2 int NULL ,
	EName char (50)	NULL ,
	Status int NULL	,
	ReplId int NULL	,
	SubModId int NULL ,
	KdModId	int NULL ,
	RefVS char (20)	NULL
);
CREATE	UNIQUE	INDEX ScanAuftragPaketIdx ON Retouren(ScanArtNr, AuftrNr, Paket_Nr);
CREATE	INDEX AuftrNrIdx ON Retouren(AuftrNr, Paket_Nr);
GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	Retouren  TO PFUser;

DROP TABLE IF EXISTS VersandKdMod;
CREATE TABLE VersandKdMod (
	AuftragStation int NOT NULL ,
	AuftragVon int NOT NULL	,
	AuftragBis int NOT NULL	,
	AktAuftrag int NOT NULL	,
	FaNr int NOT NULL ,
	Datum datetime NULL
);
CREATE	UNIQUE	INDEX StatVonIdx ON VersandKdMod(AuftragStation, AuftragVon);
GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	VersandKdMod  TO PFUser;

DROP TABLE IF EXISTS KdModSettings;
CREATE TABLE KdModSettings (
	MainFaNr int NOT NULL ,
	SubFaNr	int NOT	NULL ,
	Name1 varchar (50) NULL	,
	Name2 varchar (50) NULL	,
	Strasse	varchar	(60) NULL ,
	Land char (3) NULL ,
	PLZ char (10) NULL ,
	Ort varchar (50) NULL ,
	Telefon	varchar	(20) NULL ,
	Fax varchar (20) NULL,
	Flags int NULL
);
CREATE	UNIQUE	INDEX MainSubFaNrIdx ON	KdModSettings(MainFaNr,	SubFaNr);
GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	KdModSettings  TO PFUser;

DROP TABLE IF EXISTS PLZZonen;
CREATE TABLE PLZZonen (
	PLZVon int NOT NULL ,
	PLZBis int NOT NULL ,
	Zone int NOT NULL
);

CREATE	UNIQUE	INDEX PlzVonBisIdx ON PLZZonen(PLZVon, PLZBIS);
GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	PLZZonen  TO PFUser;

DROP TABLE IF EXISTS DeKuRouting;
CREATE TABLE DeKuRouting (
	Land varchar (3) NOT NULL ,
	PLZ varchar (5)	NOT NULL ,
	Depot varchar (3) NULL ,
	Tour varchar (4) NULL ,
	NormTermin varchar (4) NULL ,
	MinTermin varchar (4) NULL ,
	Routing	varchar	(9) NULL ,
	Insel int NULL,
	Zone CHAR(1) NULL
);

CREATE UNIQUE INDEX LandPLZIdx ON DeKuRouting (Land, PLZ);
GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	DeKuRouting  TO	OPCUser;


DROP TABLE IF EXISTS DexRouting;
CREATE TABLE DexRouting	(
  Land VARCHAR(5) NOT NULL,
  PLZ VARCHAR(8) NOT NULL,
  Depot	INTEGER	NOT NULL,
  Linie	VARCHAR(10) NOT	NULL
);

CREATE	UNIQUE	INDEX LandPLZIdx ON DexRouting(Land, PLZ);
GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	DexRouting  TO PFUser;

DROP TABLE IF EXISTS PreisWertS;
CREATE TABLE PreisWertS	(
  Land VARCHAR(5) NOT NULL,
  Staffel1 DECIMAL(10,2) NOT NULL,
  Staffel2 DECIMAL(10,2) NOT NULL,
  Staffel3 DECIMAL(10,2) NOT NULL,
  KgZuschlag DECIMAL(10,2) NOT NULL,
  Laufzeit INTEGER NOT NULL,
  Flags	INTEGER	NOT NULL,
  AbholPreis DECIMAL(10,2)
);

CREATE	UNIQUE	INDEX LandIdx ON PreisWertS(Land);
GRANT  SELECT ,	 INSERT	,  DELETE ,  UPDATE  ON	PreisWertS  TO PFUser;
